Package it.ernytech.tdlib

## Class TdApi.MessageContent

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent

Direct Known Subclasses:
  `TdApi.MessageAnimation`, `TdApi.MessageAudio`, `TdApi.MessageBasicGroupChatCreate`, `TdApi.MessageCall`, `TdApi.MessageChatAddMembers`, `TdApi.MessageChatChangePhoto`, `TdApi.MessageChatChangeTitle`, `TdApi.MessageChatDeleteMember`, `TdApi.MessageChatDeletePhoto`, `TdApi.MessageChatJoinByLink`, `TdApi.MessageChatSetTtl`, `TdApi.MessageChatUpgradeFrom`, `TdApi.MessageChatUpgradeTo`, `TdApi.MessageContact`, `TdApi.MessageContactRegistered`, `TdApi.MessageCustomServiceAction`, `TdApi.MessageDocument`, `TdApi.MessageExpiredPhoto`, `TdApi.MessageExpiredVideo`, `TdApi.MessageGame`, `TdApi.MessageGameScore`, `TdApi.MessageInvoice`, `TdApi.MessageLocation`, `TdApi.MessagePaymentSuccessful`, `TdApi.MessagePaymentSuccessfulBot`, `TdApi.MessagePhoto`, `TdApi.MessagePinMessage`, `TdApi.MessageScreenshotTaken`, `TdApi.MessageSticker`, `TdApi.MessageSupergroupChatCreate`, `TdApi.MessageText`, `TdApi.MessageUnsupported`, `TdApi.MessageVenue`, `TdApi.MessageVideo`, `TdApi.MessageVideoNote`, `TdApi.MessageVoiceNote`, `TdApi.MessageWebsiteConnected`

Enclosing class:
  TdApi

    public abstract static class TdApi.MessageContent
    extends TdApi.Object

This class is an abstract base class. Contains the content of a message.

### Constructor Summary

Constructors
`MessageContent()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### MessageContent

    public MessageContent()